using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

public enum EHandlerType
{
    /// <summary>
    /// 角色
    /// </summary>
    [Description("角色")]
    Role = 0,

    /// <summary>
    /// 部门级别
    /// </summary>
    [Description("部门级别")]
    OrgLevel = 1,

    /// <summary>
    /// 部门类型
    /// </summary>
    [Description("部门类型")]
    OrgType = 2,

    /// <summary>
    /// 指定用户
    /// </summary>
    [Description("指定用户")]
    AssignedUser = 3,

    /// <summary>
    /// 指定部门
    /// </summary>
    [Description("指定部门")]
    AssignedOrg = 4,

 //   /// <summary>
 //   /// 指定部门与角色
 //   /// </summary>
 //   [Description("指定部门与角色")]
	//AssignedOrgOrRole = 5,
}